.PHONY: all clean

DOT_FILES = $(shell find . -name "*.dot")
SVG_FILES = $(DOT_FILES:.dot=.svg)

all: $(SVG_FILES) $(WWW_ROOT)/CM2.html $(WWW_ROOT)/CM2_slides.html 
	cp *.svg *.png $(WWW_ROOT)

%.svg: %.dot
	dot -Tsvg -o $@ $<

$(WWW_ROOT)/CM2.html: CM2.md 
	pandoc --template ../www/template.html --toc --toc-depth 1 --include-before ../www/before.html -s -o $@ $<

$(WWW_ROOT)/CM2_slides.html: CM2.md
	pandoc --template ../www/template_slidy.html --toc-depth 1 -t slidy -s -o $@ $<

clean:
	rm -rf $(SVG_FILES)

